## mol-modules-2.4.25 0.9.70+2.4.25+8-1

=== debian/changelog ===
mol-modules-2.4.25 (1:0.9.70+2.4.25+8-1) unstable; urgency=low

  * Branched from the mol-modules source package, since several kernel
    release versions (at least the current 2.4 and 2.6 patchlevels) will
    be supported from now on.
  
  * Removed the power3 and power4 flavours again, since mol doesn't
    support these processors anyway.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 25 Apr 2004 21:35:00 +0200

mol-modules (1:0.9.70+2.4.25+8) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

  * Added a version to the kernel-build packages in the build-time
    dependencies.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 17 Apr 2004 00:28:29 +0200

mol-modules (1:0.9.70+2.4.25+7) unstable; urgency=low

  * Rebuilt the package against both the new mol-modules-source package
    and the new kernel-image packages.

  * Add a build-time dependency on modutils, to ensure modules are built
    with versioned symbols.

 -- Jens Schmalzing <jensen@debian.org>  Fri,  9 Apr 2004 22:58:08 +0200

mol-modules (1:0.9.70+2.4.25+6) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

 -- Jens Schmalzing <jensen@debian.org>  Sun,  4 Apr 2004 21:21:16 +0200

mol-modules (1:0.9.70+2.4.25+5) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 31 Mar 2004 18:55:10 +0200

mol-modules (1:0.9.70+2.4.25+4-1) unstable; urgency=low

  * Strangely enough, the previous build did not have versioned modules,
    even though CONFIG_MODVERSIONS was enabled all along.  Rebuilt the
    package to fix this (closes: Bug#240808).

 -- Jens Schmalzing <jensen@debian.org>  Mon, 29 Mar 2004 23:15:56 +0200

mol-modules (1:0.9.70+2.4.25+4) unstable; urgency=low

  * Rebuilt the package against both the new mol-modules-source package
    and the new kernel-image packages.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 21 Mar 2004 08:13:31 +0100

mol-modules (1:0.9.69+20040307+2.4.25+3) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 19 Mar 2004 18:50:11 +0100

mol-modules (1:0.9.69+20040307+2.4.25+2) unstable; urgency=low

  * Rebuilt the package against the new mol-modules-source package.

  * Corrected the short description of the new packages.

 -- Jens Schmalzing <jensen@debian.org>  Sun,  7 Mar 2004 12:12:25 +0100

mol-modules (1:0.9.69+20040124+2.4.25+2) unstable; urgency=low

  * Rebuilt the package again, without even uploading the previous version.
  
  * Added the power3 and power4 flavours.

 -- Jens Schmalzing <jensen@debian.org>  Sat,  6 Mar 2004 14:19:12 +0100

mol-modules (1:0.9.69+20040124+2.4.25+1) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

  * Changed to a clearer version numbering scheme.  The version of this
    package now consists of the versions of the corresponding
    mol-modules-source and kernel-image packages, with all dashes replaced
    by plus signs, and another plus sign as separator.  Had to add an
    epoch to make this work.

 -- Jens Schmalzing <jensen@debian.org>  Sat,  6 Mar 2004 13:15:04 +0100

mol-modules (0.9.69.1+20040301-1) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

  * Depend on kernel-image packages for other powerpc subarchs as well.

 -- Jens Schmalzing <jensen@debian.org>  Mon,  1 Mar 2004 04:21:13 +0100

mol-modules (0.9.69.1+20040225-1) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 25 Feb 2004 07:46:40 +0100

mol-modules (0.9.69.1+20040221-1) unstable; urgency=low

  * Rebuilt the package against the new kernel-image packages.

  * Created a separate package for the -small flavour.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 21 Feb 2004 13:50:47 +0100

mol-modules (0.9.69.1+20040215-2) unstable; urgency=low

  * Added modules for the SMP kernel as well.

  * Corrected the package name of the -small flavour.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 15 Feb 2004 19:12:13 +0100

mol-modules (0.9.69.1+20040215-1) unstable; urgency=low

  * Slightly changed the configure stage of the debian/rules file, by
    adding stuff from kernel-build-2.4.22-powerpc as well.

  * Used versioned entries in the Depends: field to tighten down the
    kernel-image packages that satisfy the dependency to the ones that
    actually work (closes: Bug#231669).

  * Added another level to the version number to make up for the
    embarrassing typo in the previous version number.  No real harm done,
    since we are approaching 0.9.70 anyway, but still.  Note to self:
    Write a dh_ script that checks whether eight-digit version numbers
    starting with 200 match today's date.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 15 Feb 2004 18:04:33 +0100

mol-modules (0.9.69+20041026-1) unstable; urgency=low

  * Rebuilt for the new version of the emulator.

 -- Jens Schmalzing <jensen@debian.org>  Mon, 26 Jan 2004 21:51:31 +0100

mol-modules (0.9.69+20031019-1) unstable; urgency=low

  * Initial Release.
  
  * Currently, the package provides only one set of modules, for kernel
    version 2.4.22-powerpc.  This is mainly because the various
    kernel-patch-powerpc packages conflict with each other.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 21 Oct 2003 08:31:21 +0200
